%define svnver 6543

Summary:	Simple program for detecting Super I/O on your mainboard
Name:		superiotool
Version:	0
Release:	0.27.20110607svn%{svnver}%{?dist}
License:	GPLv2+
Group:		Applications/System
# svn -r %{svnver} export svn://coreboot.org/coreboot/trunk/util/superiotool %{name}-%{version}
# tar -cjvf %{name}-%{version}.tar.bz2 %{name}-%{version}
Source0:	%{name}-%{version}.tar.bz2
Patch1:		superiotool-0001-Makefile-cleanups.patch
URL:		http://www.coreboot.org/Superiotool
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Lacks of <sys/io.h>
ExclusiveArch:	%{ix86} x86_64

%description
User-space helper tool which allows you to detect which Super I/O you have
on your mainboard, and it can provide detailed information about the register
contents of the Super I/O.

%prep
%setup -q
%patch1 -p1 -b .Makefile_cleanup

%build
CFLAGS="%{optflags} -D'SUPERIOTOOL_VERSION=\"%{svnver}\"'" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*

%changelog
* Tue Jun 07 2011 Peter Lemenkov <lemenkov@gmail.com> - 0-0.27.20110607svn6543
- svn ver. 6543
- Partial support for Nuvoton NCT6776F
- Detection/dump support for ServerEngines SE-SM 4210-P01
- Support for detecting/dumping the registers of Nuvoton W83627DHG-P/-PT
- Support for the NSC PC87364 Super I/O
- Added mec1308 support to superiotool
- Removed FDC37M81x support (is was not supported very well anyway)
- Added support for the IT8720F Super I/O
- Added detection/dump support for the NSC PC87382
- Added detection support for the ITE IT8721F
- Added detection of Nuvoton WPCM450
- Various Winbond/Nuvoton W83527HG fixes

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.26.20101214svn6179
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Peter Lemenkov <lemenkov@gmail.com> 0-0.25.20101214svn6179
- svn ver. 6179
- Support for the Winbond/Nuvoton W83527HG
- Fintek F71889 detection and dump support
- Detection support for the Fintek F81865/F81865-I
- Fintek F71806 (and F71872) support
- ITE IT8510E/TE/G support
- Fintek F81216D/DG/AD support
- Nuvoton NCT5571D support

* Mon Aug 16 2010 Peter Lemenkov <lemenkov@gmail.com> 0-0.24.20100816svn5690
- svn ver. 5690
- Support for IT8500 EC
- Support for Nuvoton WPCE775x/NPCE781x
- Support to IT85xx series

* Wed May 12 2010 Peter Lemenkov <lemenkov@gmail.com> 0-0.23.20100512svn5537
- svn ver. 5537
- Initial support for IT8512/IT8513
- Add IT8671F chip

* Mon Mar  1 2010 Peter Lemenkov <lemenkov@gmail.com> 0-0.22.20100301svn5081
- svn ver. 5081.
- New BR: pciutils-devel
- Add detection and dump support for the Winbond W83877AF
- Add VIA VT82C686A/VT82C686B detection support
- Add detection support for the Winbond W83667HG Super I/O
- Add detection support for ITE IT8510E/TE/G and IT8511E/TE/G

* Wed Jan 20 2010 Peter Lemenkov <lemenkov@gmail.com> 0-0.21.20100120svn4931
- Fixed svn URL.
- svn ver. 4931.
- Add detection and dump support for the Winbond WPCD376I.
- Add detection support for the SMSC FDC37M602.

* Wed Sep  9 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.20.20090909svn4623
- svn ver. 4623
- Add IT8703F support.
- Add dump support for SMSC LPC47N252.
- Add register definitions for all logical devices on the SMSC LPC47U33x.
- Add dump information for F71862FG and F71863FG.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.19.20090619svn4356
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 28 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.18.20090619svn4356
- Fixed URL

* Fri Jun 19 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.17.20090619svn4356
- svn ver. 4356
- Support for detecting the SMSC FDC37N869
- Support for the LPC47M182
- Few fixes

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.16.20090202svn3827
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb  2 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.15.20090202svn3827
- Added register map based on NSC PC87392 datasheet.
- Add detection support for ITE IT8228E, IT8711F, IT8722F, IT8761E,
  IT8780F, and Fintek F71863FG.

* Mon Nov  3 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.14.20081103svn3698
- Support for the ITE IT8661F/IT8770F, IT8673F, and IT8671F/IT8687R
- Add register definitions for W83627HF
- Drop global register 0x07 for all Super I/Os
- Add dump support to ITE IT8726F
- Add Fintek F71882FG support
- Add some more Super I/O IDs/names

* Mon Oct  6 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.13.20080815svn3511
- More ExcludeArch

* Fri Aug 15 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.12.20080815svn3511
- Fixed svn path (LinuxBIOS renamed to Coreboot)
- svn ver. 3511
- add support for SMSC SIO10N268 (trivial)
- add support for 2 new SMSC superio chips
- Add dump support for Winbond (NSC) PC87427

* Sun May 18 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.11.20080518svn3319
- Fixed installation

* Sun May 18 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.10.20080518svn3319
- Add support for dumping ITE IT8718F EC registers
- Detect SMSC SCH5027
- Small cleanups

* Sun Feb 10 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.9.20080210svn3064
- svn ver. 3064
- Added more Winbond W83627EHF chips

* Thu Jan 10 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.8.20080110svn3011
- svn ver. 3011
- support for NSC PC87317
- support for SMSC LPC47M192
- support for NSC PC97317
- support for NSC PC97307
- support for NSC PC8741x
- support for NSC PC87309
- support for SMSC FDC37C67x
- support for the PC87366
- support for the SMSC LPC47B27x

* Mon Nov 19 2007 Peter Lemenkov <lemenkov@gmail.com> 0.7.20071118svn2975
- Fixed man-page installation

* Sun Nov 18 2007 Peter Lemenkov <lemenkov@gmail.com> 0.6.20071118svn2975
- svn ver. 2975 (support for SMSC LPC47N227, NSC PC8374L, Winbond W83977TF,
  Winbond W83977AF, Winbond W83697SF, NSC PC87360, SMSC FDC37N958FR)
- drop patch1

* Fri Oct 12 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.5.20071012svn2849
- svn ver 2849 (support for SMSC FDC37M81x, SMSC FDC37B78x, SMSC FDC37B72x,
  Winbond W83627THF/THG, NSC PC87351 and some more SMSC, ITE and NSC chips
- added manpage

* Sat Oct  6 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.4.20071006svn2828
- svn ver. 2828 (added support for Winbond W83627HF/F/HG/G, SMSC LPC47M10x,
  ITE IT8661F, SMSC LPC47B387, ITE IT8705F/AF etc)

* Thu Oct  4 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.3.20071004svn2819
- svn ver. 2819 (added COPYING)

* Wed Oct  3 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.2.20071003svn2818
- Preserved timestamp then installing superiotool
- Native commands instead of macros (rm, install, mkdir, make)
- svn ver. 2818 (slightly changed output of version banner).

* Tue Oct  2 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.1.20071002svn2816
- Initial build for Fedora
